Subject: Re: [PATCH] zsh pidof completion
From: Daniel Shahaf <[email-masked]>
To: Marko Myllynen <[email-masked]>
Cc: zsh workers <[email-masked]>
Date: Fri, 03 Jun 2016 20:40:40 +0000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Marko Myllynen wrote on Fri, Jun 03, 2016 at 12:20:54 +0300:
> Otherwise it works nicely but I'm a bit wondering one thing here: -o
> can either repeated on the command line of the PID to be omitted can be
> provided as a comma-separated list but I don't see a readily available
> method to complete a comma-separated list. No biggie, but if there's
> trivial way to do that, please let me know.

I think you're looking for _sequence:

% compdef '_sequence -s , _pids' f
% f <TAB>

Or perhaps _values (which is what «mount -o <TAB>» uses).

> It might also be nice to provide a generic _procnames type completion
> like there's one now for _pids but I'll leave it for a separate effort
> now.
> 

What would _process_names do?

Cheers,

Daniel